package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysInterfaceForeign;

/**
 * 对外接口调用配置Mapper接口
 * 
 * @author ruoyi
 * @date 2022-10-31
 */
public interface SysInterfaceForeignMapper 
{
    /**
     * 查询对外接口调用配置
     * 
     * @param id 对外接口调用配置主键
     * @return 对外接口调用配置
     */
    public SysInterfaceForeign selectSysInterfaceForeignById(Long id);

    /**
     * 查询对外接口调用配置列表
     * 
     * @param sysInterfaceForeign 对外接口调用配置
     * @return 对外接口调用配置集合
     */
    public List<SysInterfaceForeign> selectSysInterfaceForeignList(SysInterfaceForeign sysInterfaceForeign);

    /**
     * 新增对外接口调用配置
     * 
     * @param sysInterfaceForeign 对外接口调用配置
     * @return 结果
     */
    public int insertSysInterfaceForeign(SysInterfaceForeign sysInterfaceForeign);

    /**
     * 修改对外接口调用配置
     * 
     * @param sysInterfaceForeign 对外接口调用配置
     * @return 结果
     */
    public int updateSysInterfaceForeign(SysInterfaceForeign sysInterfaceForeign);

    /**
     * 删除对外接口调用配置
     * 
     * @param id 对外接口调用配置主键
     * @return 结果
     */
    public int deleteSysInterfaceForeignById(Long id);

    /**
     * 批量删除对外接口调用配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysInterfaceForeignByIds(Long[] ids);

    SysInterfaceForeign getForeignByKey(String secretKey);
}
